Draft Move/en: Difference between revisions

From FreeCAD Documentation
No edit summary
No edit summary
Line 9: Line 9:
==Utilización==
==Utilización==


# Selecciona los objetos que deseas mover o copiar
# Select objects you wish to move or copy
# Press the {{KEY|[[Image:Draft Move.png|16px]] [[Draft Move]]}} button, or press {{KEY|M}} then {{KEY|V}} keys
# Presiona el botón {{KEY|[[Image:Draft Move.png|16px]] [[Draft Move/es|Mover]]}}, o presiona las teclas {{KEY|M}} y {{KEY|V}}
# Click a first point on the 3D view, or type a [[Draft_Coordinates|coordinate]]
# Designa un primer punto en la vista 3D, o tipo en [[Draft_Coordinates/es|coordenadas]]
# Click another point on the 3D view, or type a [[Draft_Coordinates|coordinate]]
# Designa otro punto en la vista 3D, o escribe unas [[Draft_Coordinates/es|coordenadas]]


==Options==
==Options==

Revision as of 15:20, 13 February 2014

Draft_Move

Menu location
Draft -> Move
Workbenches
Draft, Arch
Default shortcut
M V
Introduced in version
-
See also
None

Descripción

La herramienta Mover mueve o copia los objetos seleccionados de un punto a otro. Si no se han seleccionado objetos, te invita a seleccionarlos.

Utilización

  1. Selecciona los objetos que deseas mover o copiar
  2. Presiona el botón Mover, o presiona las teclas M y V
  3. Designa un primer punto en la vista 3D, o tipo en coordenadas
  4. Designa otro punto en la vista 3D, o escribe unas coordenadas

Options

  • Press X, Y or Z after a point to constrain the next point on the given axis.
  • To enter coordinates manually, simply enter the numbers, then press ENTER between each X, Y and Z component.
  • Press R or click the checkbox to check/uncheck the Relative button. If relative mode is on, the coordinates of the next point are relative to the last one. If not, they are absolute, taken from the (0,0,0) origin point.
  • Press T or click the checkbox to check/uncheck the Continue button. If continue mode is on, the Move tool will restart after you finish or close it, allowing you to move or copy the objects another time without pressing the Move button again.
  • Pressing ALT or C or clicking the Copy button will make a copy of the objects, instead of moving them. If you keep ALT pressed after clicking the second point, you will be able to place more copies, until you release the ALT key.
  • Press CTRL while drawing to force snapping your point to the nearest snap location, independently of the distance.
  • Press SHIFT while drawing to constrain your next point horizontally or vertically in relation to the last one.
  • Press ESC or the Cancel button to abort the current command.

Scripting

The Move tool can by used in macros and from the python console by using the following function:

 move (FreeCAD.Object or list, Vector, [copymode])
  • Moves the given object or the objects contained in the given list in the direction and distance indicated by the given vector.
  • If copymode is True, the actual objects are not moved, but copies are created instead. Returns the object(s) (or their copies if copymode was True)
  • A list of the moved object (or the copies) is returned

Example:

 import FreeCAD,Draft
 Draft.move(FreeCAD.ActiveDocument.ActiveObject,FreeCAD.Vector(2,2,0))